"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const getopts_1 = __importDefault(require("getopts"));
function boolArg(arg) {
    return Boolean(arg);
}
function numArg(arg, defaultValue) {
    return (arg && !isNaN(+arg)) ? +arg : defaultValue;
}
function arrayArg(arg) {
    if (!arg) {
        return [];
    }
    if (Array.isArray(arg)) {
        return arg;
    }
    return [arg];
}
const opts = getopts_1.default(process.argv.slice(2), {
    boolean: ['json', 'line', 'exec', 'help'],
    alias: {
        'json': 'j',
        'line': 'l',
        'exec': 'x',
        'file': 'f',
        'group-lines': 'g',
        'concurrency': 'c',
        'require': 'r'
    }
});
const fnText = opts._ || undefined, fnFile = opts.file || undefined, requires = arrayArg(opts.require), json = boolArg(opts.json), eachLine = boolArg(opts.line), execResult = boolArg(opts.exec), groupLines = numArg(opts['group-lines'], undefined), showHelp = boolArg(opts.help), concurrency = numArg(opts.concurrency, 1);
exports.default = {
    concurrency,
    eachLine,
    execResult,
    fnText,
    fnFile,
    requires,
    groupLines,
    json,
    showHelp
};
//# sourceMappingURL=options.js.map